# system_error File Reference

Go to the source code of this file.

## Classes

- class std::error_category
    error_category More...
- struct std::error_code
    error_code More...
- struct std::error_condition
    error_condition More...
- struct std::hash< error_code >
    std::hash specialization for error_code. More...
- struct std::is_error_code_enum< _Tp >
    is_error_code_enum More...
- struct std::is_error_condition_enum< _Tp >
    is_error_condition_enum More...
- class std::system_error
    Thrown to indicate error code of underlying system. More...

## Namespaces

- namespace std

## Functions

- _GLIBCXX_CONST const
  error_category & std::generic_category () throw ()
- error_code std::make_error_code (errc __e)
- error_condition std::make_error_condition (errc __e)
- bool std::operator!= (const error_code &__lhs, const error_condition &__rhs)
- bool std::operator!= (const error_condition &__lhs, const error_condition &__rhs)
- bool std::operator!= (const error_code &__lhs, const error_code &__rhs)
- bool std::operator!= (const error_condition &__lhs, const error_code &__rhs)
- bool std::operator< (const error_code &__lhs, const error_code &__rhs)
- bool std::operator< (const error_condition &__lhs, const error_condition &__rhs)
- template<typename _CharT , typename _Traits > basic_ostream< _CharT, _Traits > & std::operator<< (basic_ostream< _CharT, _Traits > &__os, const error_code &__e)
- bool std::operator== (const error_condition &__lhs, const error_condition &__rhs)
- bool std::operator== (const error_code &__lhs, const error_condition &__rhs)
- bool std::operator== (const error_code &__lhs, const error_code &__rhs)
- bool std::operator== (const error_condition &__lhs, const error_code &__rhs)
- _GLIBCXX_CONST const
  error_category & std::system_category () throw ()

## Variables

- error_code std::make_error_code (errc)
- error_condition std::make_error_condition (errc)

## Detailed Description

This is a Standard C++ Library header.

Definition in file system_error.